| Home | Libraries | People | FAQ | More

##### encoding_opts::space_as_plus

True if spaces encode to and from plus signs.

###### Synopsis

    bool space_as_plus = false;

###### Description

This option controls whether or not the PLUS character ("+") is used to represent the SP character (" ") when encoding or decoding. Although not prescribed by the RFC, plus signs are commonly treated as spaces upon decoding when used in the query of URLs using well known schemes such as HTTP.

###### Specification

- application/x-www-form-urlencoded (w3.org)